// Variables
$primary-color: #55C2D8;
$secondary-color: #3096ab;
$accent-color: #39C2D7;
$text-color: #ffffff;
$background-color: #464547;
$footer-text-color: #FFFFFF66;
$font-primary: 'Source Sans Pro', sans-serif;
$font-secondary: 'Oswald';

// App Section Block
.app-section {
  background-image: url("./CSS/background.png");
  padding: 200px;
  text-align: center;
  background-repeat: no-repeat;
  background-size: cover;

  &__button {
    width: 150px;
    height: 50px;
    background-color: $primary-color;
    color: $text-color;
    font-size: 16px;
    border: none;
    cursor: pointer;

    &--read-more {
      background-color: $secondary-color;

      &:hover {
        background-color: darken($secondary-color, 10%);
      }
    }
  }

  &__headline {
    font-size: 48px;
    line-height: 64px;
    font-weight: bold;
    color: $text-color;
    font-family: $font-secondary;
    text-align: center;
    margin-bottom: 10px;
  }

  &__second-headline {
    font-size: 24px;
    color: $text-color + B2;
    margin-bottom: 20px;
    text-align: center;
    font-family: $font-primary;
  }
}

// Footer Block
.footer {
  background-color: $background-color;
  padding: 20px;
  text-align: left;
  font-family: $font-primary;
  color: $text-color;
  height: 150px;

  &__container {
    display: flex;
    justify-content: space-between;
    height: 150px;
    width: 100%;
  }

  &__column {
    flex: 1;
  }

  &__project-name {
    font-family: $font-primary;
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 16px;
    letter-spacing: 0.2em;
    text-transform: uppercase;
    margin-right: 10px;
    margin-top: 0px;
  }

  &__text {
    font-size: 16px;
    color: $footer-text-color;
    line-height: 19px;
    padding-left: 30px;

    &--1 {
      padding-bottom: 30px;
    }

    &--2 {
      padding-left: 30px;
    }

    &--3 {
      padding-top: 85px;
      padding-left: 100px;
    }
  }
}
